/**
 * \file SbcpdError.cpp
 *
 *  \date May 5, 2012
 *  \author Alexandre Tuleu
 */

#include "SbcpdError.h"

#include <sbcpd/bus.h>

namespace sbcp{
SbcdpError::SbcdpError(const std::string & operation , sbcpd_bus * bus)
	: std::runtime_error("SBCPD error on " + operation + std::string(" : ") + sbcpd_bus_get_last_error_message(bus)){
}

SbcdpError::~SbcdpError() throw(){}
}
