/**
 * \file UIElements.h
 *
 *  \date Oct 23, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBSBCP_TOOL_UIELEMENTS_H_
#define LIBSBCP_TOOL_UIELEMENTS_H_

#include <string>

#include <libsbcp/utils/HexaByte.h>


void FillHexaByteIfNeeded(const std::string & name,
                          bool nonInteractif,
                          sbcp::HexaByte & data);


bool AskYesNoQuestion(const std::string & question);

#endif // LIBSBCP_TOOL_UIELEMENTS_H_
