/**
 * \file BusWorkflow.cpp
 *
 *  \date Apr 12, 2012
 *  \author Alexandre Tuleu
 */

#include "BusWorkflow.h"

namespace sbcp {

	BusWorkflow::BusWorkflow(Bus & bus, unsigned int type)
	: d_bus(bus)
	, d_type(type){
	}

	BusWorkflow::~BusWorkflow(){
	}

	unsigned int BusWorkflow::Type() const{
		return d_type;
	}

} /* namespace sbcp */
