/**
 * \file libsbcp.cpp
 *
 *  \date Oct 3, 2011
 *  \author Alexandre Tuleu
 */

#include "libsbcp.h"


/**
 * \mainpage High level library to drive SBCP level
 *
 * The aim of this library, is to enable access to SBCP devices using SBCPD
 * drivers, and give to user both :
 * - an high level library to manage this devices
 * - an high level C++ framework to develop drivers for SBCP devices.
 *
 * SBCP stands for Simple Byte Communication Protocol. It's a low level, highly
 * versatile and highly efficient Half Duplex serial communication protocol.
 *
 *
 */
